- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WP42ExtendedCharacterGroup Class Reference

`#include <WP42ExtendedCharacterGroup.h>`

Inheritance diagram for WP42ExtendedCharacterGroup:

## Public Member Functions
| WP42ExtendedCharacterGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP42ExtendedCharacterGroup ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP42Listener *listener)
Public Member Functions inherited from WP42MultiByteFunctionGroup
| WP42MultiByteFunctionGroup (unsigned char group)
virtual | ~WP42MultiByteFunctionGroup ()
Public Member Functions inherited from WP42Part
virtual | ~WP42Part ()

## Private Attributes
unsigned char | m_extendedCharacter

## Additional Inherited Members
Static Public Member Functions inherited from WP42MultiByteFunctionGroup
static WP42MultiByteFunctionGroup * | constructMultiByteFunctionGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP42Part
static WP42Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP42MultiByteFunctionGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const

## Constructor & Destructor Documentation

WP42ExtendedCharacterGroup::WP42ExtendedCharacterGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group
| ) |  |

WP42ExtendedCharacterGroup::~WP42ExtendedCharacterGroup | ( |  | ) |

## Member Function Documentation

void WP42ExtendedCharacterGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Implements WP42MultiByteFunctionGroup.

void WP42ExtendedCharacterGroup::parse | ( | WP42Listener * | listener | ) |
| virtual

Implements WP42Part.

## Member Data Documentation

unsigned char WP42ExtendedCharacterGroup::m_extendedCharacter
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP42ExtendedCharacterGroup.h
- WP42ExtendedCharacterGroup.cpp